summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-09-02 23:05:00 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-09-03 21:30:32 +0200
commiteadebaeb8cb8b181c96add76b74bc84a83e7543b (patch)
treef4ed2216002a37a23c9734491f8107081413c2a7
parentkde-frameworks/kwayland: Relax qtwayland[egl] usedep (diff)
downloadgentoo-eadebaeb8cb8b181c96add76b74bc84a83e7543b.tar.gz
gentoo-eadebaeb8cb8b181c96add76b74bc84a83e7543b.tar.bz2
gentoo-eadebaeb8cb8b181c96add76b74bc84a83e7543b.zip
dev-qt/qtwayland: Drop USE=egl
In this case, USE=egl was not enabling additional support but enabled- instead-of GLX. Rather than complicating things with REQUIRED_USE, build with EGL unconditionally as the use of GLX in context of Wayland is questionable. Gentoo-bug: 627758 Package-Manager: Portage-2.3.8, Repoman-2.3.3
-rw-r--r--dev-qt/qtwayland/metadata.xml1
-rw-r--r--dev-qt/qtwayland/qtwayland-5.6.2.ebuild6
-rw-r--r--dev-qt/qtwayland/qtwayland-5.7.1.ebuild6
3 files changed, 6 insertions, 7 deletions
diff --git a/dev-qt/qtwayland/metadata.xml b/dev-qt/qtwayland/metadata.xml
index 6ad9fdf0584..5aa0b525d00 100644
--- a/dev-qt/qtwayland/metadata.xml
+++ b/dev-qt/qtwayland/metadata.xml
@@ -6,7 +6,6 @@
<name>Gentoo Qt Project</name>
</maintainer>
<use>
- <flag name="egl">Use EGL instead of GLX to manage OpenGL contexts</flag>
<flag name="qml">Build QML/QtQuick bindings</flag>
<flag name="wayland-compositor">Build Qt compositor for wayland</flag>
</use>
diff --git a/dev-qt/qtwayland/qtwayland-5.6.2.ebuild b/dev-qt/qtwayland/qtwayland-5.6.2.ebuild
index a268ee01062..d427008009c 100644
--- a/dev-qt/qtwayland/qtwayland-5.6.2.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.6.2.ebuild
@@ -10,13 +10,13 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm hppa ~ppc ppc64 x86"
fi
-IUSE="egl qml wayland-compositor xcomposite"
+IUSE="qml wayland-compositor xcomposite"
DEPEND="
>=dev-libs/wayland-1.4.0
~dev-qt/qtcore-${PV}
- ~dev-qt/qtgui-${PV}[egl=]
- media-libs/mesa[egl?]
+ ~dev-qt/qtgui-${PV}[egl]
+ media-libs/mesa[egl]
>=x11-libs/libxkbcommon-0.2.0
wayland-compositor? (
qml? ( ~dev-qt/qtdeclarative-${PV} )
diff --git a/dev-qt/qtwayland/qtwayland-5.7.1.ebuild b/dev-qt/qtwayland/qtwayland-5.7.1.ebuild
index 7adc8405b7e..b90f33e3e8e 100644
--- a/dev-qt/qtwayland/qtwayland-5.7.1.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.7.1.ebuild
@@ -10,14 +10,14 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm ~arm64 ~hppa ppc ppc64 x86"
fi
-IUSE="egl xcomposite"
+IUSE="xcomposite"
DEPEND="
>=dev-libs/wayland-1.4.0
~dev-qt/qtcore-${PV}
~dev-qt/qtdeclarative-${PV}
- ~dev-qt/qtgui-${PV}[egl=]
- media-libs/mesa[egl?]
+ ~dev-qt/qtgui-${PV}[egl]
+ media-libs/mesa[egl]
>=x11-libs/libxkbcommon-0.2.0
xcomposite? (
x11-libs/libX11